lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Date:   Wed,  7 Dec 2016 18:55:17 +0400
From:   Dmitry Monakhov <dmonakhov@...nvz.org>
To:     linux-ext4@...r.kernel.org
Cc:     tytso@....edu, Dmitry Monakhov <dmonakhov@...nvz.org>
Subject: [PATCH 1/2] test: add f_mke2fs_baddisk v2

Check what mke2fs will return non zero error on broken device.

changes since: v1
 - skip test if dm-error is not available.

Signed-off-by: Dmitry Monakhov <dmonakhov@...nvz.org>
---
 tests/f_mke2fs_baddisk/script | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)
 create mode 100644 tests/f_mke2fs_baddisk/script

diff --git a/tests/f_mke2fs_baddisk/script b/tests/f_mke2fs_baddisk/script
new file mode 100644
index 0000000..0e6d3cd
--- /dev/null
+++ b/tests/f_mke2fs_baddisk/script
@@ -0,0 +1,26 @@
+test_description="mke2fs /dev/mapper/bad_disk should fail"
+
+OUT=$test_name.log
+
+dmsetup create -v bad_disk --table '0 1148681097 error' > $OUT 2>&1
+status=$?
+if [ "$status" != 0 ]; then
+    echo "$test_name: $test_description: skip"
+    touch $test_name.ok
+    exit 0
+fi   
+
+echo mke2fs /dev/mapper/bad_disk  >> $OUT
+$MKE2FS  /dev/mapper/bad_disk  >> $OUT 2>&1
+status=$?
+sleep 1
+dmsetup remove --retry bad_disk >> $OUT 2>&1
+
+if [ "$status" = 0 ] ; then
+    ln -f $test_name.log $test_name.failed
+    echo "$test_name: $test_description: failed"
+else
+    echo "$test_name: $test_description: ok"
+    touch $test_name.ok
+
+fi
-- 
2.7.4

--
To unsubscribe from this list: send the line "unsubscribe linux-ext4" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ